Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Types | Public Member Functions
boost::geometry::index::detail::equal_to< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, false > Struct Template Reference

The function object comparing Values. More...

`#include <equal_to.hpp>`

List of all members.

## Public Types

typedef bool | result_type
| The type of result returned by function object.

## Public Member Functions

bool | operator() (value_type const &l, value_type const &r) const
| Compare values. If tuple<> Value member is a Geometry geometry::equals() function is used.

## Detailed Description

### template<typename T0, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>
struct boost::geometry::index::detail::equal_to< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, false >

The function object comparing Values.

This specialization compares values of type boost::tuple<...>. It compares all members of the tuple from the first one to the last one.

## Member Function Documentation

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

bool boost::geometry::index::detail::equal_to< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, false >::operator() | ( | value_type const & | l,
|  | value_type const & | r
| ) |  | const`[inline]`

Compare values. If tuple<> Value member is a Geometry geometry::equals() function is used.

Parameters:

  l | First value.
  r | Second value.

Returns:
  true if values are equal.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/equal_to.hpp

All Classes Functions Typedefs